%define version 1.2.2
%define release 1
%define name    xine-lib
%define major 2
%define api 2.2
%define build_plf 0
%define build_optimization 0

%define build_pulse	1
%define build_magick	1
%define build_arts 0
%define build_caca 1

%define build_directfb 0
%define external_vcdnav 1
%define build_smb 1
%define build_alsa 1

%define build_vidix 1
%ifnarch %ix86
%define build_vidix 0
%endif

%define build_linuxfb 1

%define libname		%mklibname xine %major
%define libnamedev	%mklibname -d xine

%define bname xine
%define dvdnav 0.1.4

%define build_divx4 0
%define build_xvid 0
%define build_faad 0
%define build_win32 0
%ifarch %ix86
%define build_win32 1
%endif

%define external_ffmpeg 1

%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%define distsuffix plf
%define build_faad 1
%if %mdvver >= 201100
# make EVR of plf build higher than regular to allow update, needed with rpm5 mkrel
%define extrarelsuffix plf
%endif
%endif
%{?_with_optimization: %{expand: %%global build_optimization 1}}
%{?_with_directfb: %{expand: %%global build_directfb 1}}
%{?_without_directfb: %{expand: %%global build_directfb 0}}
%{?_with_alsa: %{expand: %%global build_alsa 1}}
%{?_without_alsa: %{expand: %%global build_alsa 0}}
%{?_with_vcdnav: %{expand: %%global external_vcdnav 1}}
%{?_without_vcdnav: %{expand: %%global external_vcdnav 0}}
%{?_with_vidix: %{expand: %%global build_vidix 1}}
%{?_without_vidix: %{expand: %%global build_vidix 0}}
%{?_with_linuxfb: %{expand: %%global build_linuxfb 1}}
%{?_without_linuxfb: %{expand: %%global build_linuxfb 0}}
%{?_with_faad: %{expand: %%global build_faad 1}}
%{?_without_faad: %{expand: %%global build_faad 0}}
%{?_with_win32: %{expand: %%global build_win32 1}}
%{?_without_win32: %{expand: %%global build_win32 0}}
%{?_with_divx4: %{expand: %%global build_divx4 1}}
%{?_without_divx4: %{expand: %%global build_divx4 0}}
%{?_with_xvid: %{expand: %%global build_xvid 1}}
%{?_without_xvid: %{expand: %%global build_xvid 0}}
%{?_with_smb: %{expand: %%global build_smb 1}}
%{?_without_smb: %{expand: %%global build_smb 0}}
%{?_with_pulse: %{expand: %%global build_pulse 1}}
%{?_without_pulse: %{expand: %%global build_pulse 0}}
%{?_with_magick: %{expand: %%global build_magick 1}}
%{?_without_magick: %{expand: %%global build_magick 0}}
%{?_with_ffmpeg: %{expand: %%global external_ffmpeg 1}}
%{?_without_ffmpeg: %{expand: %%global external_ffmpeg 0}}

Name:        %{name}
Summary:     A Free Video Player (Libraries)
Version:     %{version}
Release:     %{release}%{?extrarelsuffix}
License:     GPLv2+
Group:       System/Libraries
Source0:     http://downloads.sourceforge.net/project/xine/xine-lib/%version/xine-lib-%version.tar.xz
URL:         http://xine.sourceforge.net
Buildconflicts: libxine-devel < %version
BuildRequires: gettext-devel
Buildrequires: aalib-devel
Buildrequires: pkgconfig(esound)
Buildrequires: pkgconfig(vorbis) pkgconfig(vorbisfile)
Buildrequires: pkgconfig(speex)
Buildrequires: pkgconfig(jack)
Buildrequires: pkgconfig(sdl)
Buildrequires: mng-devel
Buildrequires: pkgconfig(flac)
Buildrequires: pkgconfig(gnome-vfs-2.0)
BuildRequires: pkgconfig(libmodplug)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(wavpack)
BuildRequires: pkgconfig(libv4l2)
BuildRequires: pkgconfig(glu)
BuildRequires: pkgconfig(xv)
BuildRequires: pkgconfig(xvmc)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(vdpau)
BuildRequires: pkgconfig(libbluray)
%if %build_smb
BuildRequires: pkgconfig(smbclient)
%endif
%if %external_vcdnav
BuildRequires: pkgconfig(libvcdinfo)
%endif
%if %build_directfb
Buildrequires: pkgconfig(directfb)
%endif
%if %external_ffmpeg
BuildRequires: pkgconfig(libavcodec)
%endif
BuildRequires: libmpcdec-devel

BuildRequires: autoconf2.5
BuildRequires: automake


%description 
xine is a free gpl-licensed video player for unix-like systems.
%if %build_plf
This package is in PLF because the AAC decoder is covered by patents.
%endif


%package -n %{bname}-plugins
Summary:     	A Free Video Player (main plugins)
Group: 		Video
Provides: %bname-xv %bname-gl %bname-oss %libname-docs %bname-speex
Provides:  %bname-dvdnav %bname-alsa %bname-musepack
Obsoletes: %bname-xv %bname-gl %bname-oss %libname-docs %bname-speex
Obsoletes: %bname-dvdnav %bname-alsa %bname-musepack
%if %build_win32
Obsoletes:	xine-plugins-win32 xine-win32
Provides:	xine-plugins-win32 xine-win32
#Suggests: win32-codecs
%endif
#gw enable this once the cdda plugin from xine-vcdx was merged too
#Provides: %bname-vcdx
#Obsoletes: %bname-vcdx
# Plugins are in versioned dir, so require the exact version
Requires:  %libname = %version
# provide the plugin API version
Provides: xine-plugin-api = %api

%description -n %{bname}-plugins
xine is a free gpl-licensed video player for unix-like systems.

This package includes the main plugins for xine, they allow the input
from files, Video CDs, network streams and (not encrypted) DVDs in
several video formats.  For additional plugins (support for DVDs
protected by CSS or for non free codecs) you could try the packages
from the Penguin Liberation Front home page:

http://plf.zarb.org

That page is not connected to Mandriva.
%if %build_optimization

Warning: This package was optimized for the build machine and probably will not run on other computers.
%endif 


%package -n %{bname}-wavpack
Group: Sound
Summary: Wavpack Audio decoder plugin for xine
Requires: %{bname}-plugins = %version

%description -n %bname-wavpack
xine is a free gpl-licensed video player for unix-like systems.

This package contains the wavpack audio decoder plugin.


%package -n %{bname}-sdl
Group: Video
Summary: SDL video output plugin for xine
Requires: %{bname}-plugins = %version

%description -n %bname-sdl
xine is a free gpl-licensed video player for unix-like systems.

This package contains the SDL video output plugin.

%if %build_caca
%package -n %{bname}-caca
Group: Video
Summary: Caca video output plugin for xine
Requires: %{bname}-plugins = %version
Buildrequires: libcaca-devel >= 0.99

%description -n %bname-caca
xine is a free gpl-licensed video player for unix-like systems.

This package contains the Caca video output plugin.
%endif

%package -n %libname
Summary:     	A Free Video Player (Libraries)
Group: 		System/Libraries
Provides:   xine-lib

%description -n %libname
xine is a free gpl-licensed video player for unix-like systems.

This package contains the shared libraries required by xine.

%package -n %libnamedev
Summary:        Devel files for xine
Group:          Development/C
Requires:	%libname = %version
Provides:	libxine-devel = %version-%release
Obsoletes: %mklibname -d xine 1

%description -n %libnamedev
xine is a free gpl-licensed video player for unix-like systems.

This package contains the development files required for compiling xine
front ends or plugins.

%if %build_arts
%package -n %{bname}-arts
Summary:        Arts plugin for xine
Group:          Video
Requires:  %{bname}-plugins = %version
Buildrequires: libarts-devel

%description -n %{bname}-arts
xine is a free gpl-licensed video player for unix-like systems.

- Arts audio output plugin
%endif

%package -n %{bname}-esd
Summary:        Esd plugin for xine
Group:          Sound
Requires:  %{bname}-plugins = %version

%description -n %{bname}-esd
xine is a free gpl-licensed video player for unix-like systems.

- Esd audio output plugin

%package -n %{bname}-jack
Summary:        Jack plugin for xine
Group:          Sound
Requires:  %{bname}-plugins = %version

%description -n %{bname}-jack
xine is a free gpl-licensed video player for unix-like systems.

- Jack audio output plugin

%if %build_pulse
%package -n %{bname}-pulse
Summary:        Pulseaudio plugin for xine
Group:          Sound
Requires:  %{bname}-plugins = %version
Provides: %bname-polyp
Obsoletes: %bname-polyp
BuildRequires: pkgconfig(libpulse)

%description -n %{bname}-pulse
xine is a free gpl-licensed video player for unix-like systems.

- pulseaudio audio output plugin
%endif

%if %build_magick
%package -n %{bname}-image
Summary:        ImageMagick plugin for xine
Group:          Graphics
Requires:  %{bname}-plugins = %version
BuildRequires: imagemagick-devel > 5.5.7.15

%description -n %{bname}-image
xine is a free gpl-licensed video player for unix-like systems.

- image display plugin based on ImageMagick
%endif

%package -n %{bname}-aa
Summary:        Aalib plugin for xine
Group:          Video
Requires:  %{bname}-plugins = %version

%description -n %{bname}-aa
xine is a free gpl-licensed video player for unix-like systems.

- Aalib textmode output plugin

%package -n %{bname}-dxr3
Summary:        DXR3 plugin for xine
Group:          Video
Requires:  %{bname}-plugins = %version


%description -n %{bname}-dxr3
xine is a free gpl-licensed video player for unix-like systems.

- DXR3/Hollywood+ (MPEG2 hardware decoder) decoding/output plugin
%if %build_plf
- this version has mpeg encoding enabled using libfame
%endif

%package -n %{bname}-flac
Summary:        FLAC plugin for xine
Group:          Sound
Requires:  %{bname}-plugins = %version

%description -n %{bname}-flac
xine is a free gpl-licensed video player for unix-like systems.

- FLAC audio decoder plugin

%package -n %{bname}-gnomevfs
Summary:        GNOME VFS plugin for xine
Group:          System/Libraries
Requires:  %{bname}-plugins = %version

%description -n %{bname}-gnomevfs
xine is a free gpl-licensed video player for unix-like systems.

- GNOME VFS input plugin

%package -n %{bname}-smb
Summary:        Samba input plugin for xine
Group:          System/Libraries
Requires:  %{bname}-plugins = %version

%description -n %{bname}-smb
xine is a free gpl-licensed video player for unix-like systems.

- Samba input plugin



%if %build_divx4
%package -n %{bname}-divx4
Summary:     	Divx4 plugin for %{bname}
Group: 		Video
Requires:	%{bname}-plugins = %{version}
ExclusiveArch:	%ix86
Obsoletes:	xine-plugins-divx4
Provides:	xine-plugins-divx4
Requires:  %{bname}-plugins = %version

%description -n %{bname}-divx4
This package contains the divx4linux plugin for %{bname}. It is in
PLF because it is covered by software patents.
%endif

%if %build_faad
%package -n %{bname}-faad
Summary:     	FAAD plugin for %{bname}
Group: 	Sound
Requires:  %{bname}-plugins = %version
BuildRequires: libfaad2-devel

%description -n %{bname}-faad
This package contains the AAC decoder plugin for %{bname}. It is in
PLF because it is covered by software patents.
%endif

%if %build_xvid
%package -n %{bname}-xvid
Summary:     	XviD plugin for %{bname}
Group: 		Video
Requires:  %{bname}-plugins = %version
Obsoletes:	xine-plugins-xvid
Provides:	xine-plugins-xvid

%description -n %{bname}-xvid
This package contains the XviD plugin for %{bname}. It is in
PLF because it is covered by software patents.
%endif

%prep
%setup -q

%build

#gw for flac
export OGG_LIBS=-logg

%if !%build_optimization
export CFLAGS="%(echo %optflags|sed s/-Wp,-D_FORTIFY_SOURCE=2//)"
%configure2_5x \
%else
%{?__cputoolize: %{__cputoolize}}
#gw expanded configure2_5x macro without the CFLAGS and --build stuff
[ -f configure.in -o -f configure.ac ] && %__libtoolize --copy --force
./configure \
 	--prefix=%{_prefix} \
	--exec-prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--sbindir=%{_sbindir} \
	--sysconfdir=%{_sysconfdir} \
	--datadir=%{_datadir} \
	--includedir=%{_includedir} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libdir} \
	--localstatedir=/var/lib \
	--sharedstatedir=%{_prefix}/com \
	--mandir=%{_mandir} \
	--infodir=%{_datadir}/info \
%endif
%if ! %external_vcdnav
  --with-internal-vcdlibs \
%endif
%if %build_directfb
  --enable-directfb \
%endif
%if ! %build_alsa
  --disable-alsa \
%endif
%if ! %build_vidix
 --disable-vidix \
%endif
%if ! %build_faad
 --disable-faad \
%endif
%if ! %build_pulse
 --disable-polypaudio \
%endif
%if ! %build_linuxfb
 --disable-fb \
%endif
%if %external_ffmpeg
  --with-external-ffmpeg \
%endif
 --enable-ipv6 --with-libflac --with-wavpack --with-w32-path=%{_libdir}/codecs \
 --with-external-libmpcdec
# real-codecs-path is not set so that runtime searching is used. We want
# to use either codecs from RealPlayer or real-codecs, whichever is
# present.

%make

%install
%makeinstall_std

%multiarch_binaries %buildroot%_bindir/xine-config

#clean out unpackaged files
rm -f %buildroot/%_libdir/xine/plugins/*/*.la
rm -f %buildroot/%_libdir/xine/plugins/*/post/*.la
rm -rf installed-docs
mv %buildroot/%_datadir/doc/xine-lib installed-docs
rm -f %buildroot/%_libdir/xine/plugins/*/xineplug_inp_vcdo.so

%find_lang libxine2 || touch libxine2.lang

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{bname}-plugins -f libxine2.lang
%defattr(-,root,root)
%doc installed-docs/README* installed-docs/faq.*
%_mandir/man5/xine.5*
%dir %_libdir/xine/
%dir %_libdir/xine/plugins/
%dir %_libdir/xine/plugins/%api/
%dir %_libdir/xine/plugins/%api/post/
%_libdir/xine/plugins/%api/mime.types
%if %build_alsa
%_libdir/xine/plugins/%api/xineplug_ao_out_alsa.so
%endif
%_libdir/xine/plugins/%api/xineplug_ao_out_file.so
%_libdir/xine/plugins/%api/xineplug_ao_out_none.so
%_libdir/xine/plugins/%api/xineplug_ao_out_oss.so
%_libdir/xine/plugins/%api/xineplug_inp_cdda.so
%_libdir/xine/plugins/%api/xineplug_inp_dvb.so
%_libdir/xine/plugins/%api/xineplug_inp_dvd.so
%_libdir/xine/plugins/%api/xineplug_inp_http.so
%_libdir/xine/plugins/%api/xineplug_inp_stdin_fifo.so
%_libdir/xine/plugins/%api/xineplug_inp_file.so
%_libdir/xine/plugins/%api/xineplug_inp_mms.so
%_libdir/xine/plugins/%api/xineplug_inp_net.so
%_libdir/xine/plugins/%api/xineplug_inp_pnm.so
%_libdir/xine/plugins/%api/xineplug_inp_pvr.so
%_libdir/xine/plugins/%api/xineplug_inp_rtp.so
%_libdir/xine/plugins/%api/xineplug_inp_rtsp.so
%_libdir/xine/plugins/%api/xineplug_inp_vcd.so
%_libdir/xine/plugins/%api/xineplug_inp_v4l2.so
%_libdir/xine/plugins/%api/xineplug_dmx_*so
%_libdir/xine/plugins/%api/xineplug_decode_a52.so
%_libdir/xine/plugins/%api/xineplug_decode_bitplane.so
%_libdir/xine/plugins/%api/xineplug_decode_dts.so
%_libdir/xine/plugins/%api/xineplug_decode_dvaudio.so
%_libdir/xine/plugins/%api/xineplug_decode_ff.so
%_libdir/xine/plugins/%api/xineplug_decode_gdk_pixbuf.so
%_libdir/xine/plugins/%api/xineplug_decode_gsm610.so
%_libdir/xine/plugins/%api/xineplug_decode_lpcm.so
%_libdir/xine/plugins/%api/xineplug_decode_mad.so
%_libdir/xine/plugins/%api/xineplug_decode_mpc.so*
%_libdir/xine/plugins/%api/xineplug_decode_mpeg2.so
%_libdir/xine/plugins/%api/xineplug_decode_spu*.so
%_libdir/xine/plugins/%api/xineplug_decode_real.so
%_libdir/xine/plugins/%api/xineplug_decode_rgb.so
%_libdir/xine/plugins/%api/xineplug_decode_yuv.so
%_libdir/xine/plugins/%api/xineplug_decode_vdpau_h264.so
%_libdir/xine/plugins/%api/xineplug_decode_vdpau_h264_alter.so
%_libdir/xine/plugins/%api/xineplug_decode_vdpau_mpeg12.so
%_libdir/xine/plugins/%api/xineplug_decode_vdpau_mpeg4.so
%_libdir/xine/plugins/%api/xineplug_decode_vdpau_vc1.so
%_libdir/xine/plugins/%api/xineplug_inp_bluray.so
%_libdir/xine/plugins/%api/xineplug_nsf.so
%_libdir/xine/plugins/%api/xineplug_sputext.so
%_libdir/xine/plugins/%api/xineplug_vdr.so
%_libdir/xine/plugins/%api/xineplug_vo_out_vdpau.so
%_libdir/xine/plugins/%api/xineplug_xiph.so
%if %build_directfb
%_libdir/xine/plugins/%api/xineplug_vo_out_directfb.so
%endif
%if %build_linuxfb
%_libdir/xine/plugins/%api/xineplug_vo_out_fb.so
%endif
%_libdir/xine/plugins/%api/xineplug_vo_out_opengl.so
%_libdir/xine/plugins/%api/xineplug_vo_out_none.so
%_libdir/xine/plugins/%api/xineplug_vo_out_raw.so
%if %build_vidix
%_libdir/xine/plugins/%api/xineplug_vo_out_vidix.so
%_libdir/xine/plugins/%api/vidix/
%endif
%_libdir/xine/plugins/%api/xineplug_vo_out_xshm.so
%_libdir/xine/plugins/%api/xineplug_vo_out_xv.so
%if %mdkversion >= 200600
%_libdir/xine/plugins/%api/xineplug_vo_out_xvmc.so
%_libdir/xine/plugins/%api/xineplug_vo_out_xxmc.so
%endif
%if %mdkversion >= 200710
%_libdir/xine/plugins/%api/xineplug_vo_out_xcbshm.so
%_libdir/xine/plugins/%api/xineplug_vo_out_xcbxv.so
%endif
%if %build_win32
%_libdir/xine/plugins/%api/xineplug_decode_qt.so*
%_libdir/xine/plugins/%api/xineplug_decode_w32dll.so*
%endif
%_libdir/xine/plugins/%api/post/xineplug_post_audio_filters.so
%_libdir/xine/plugins/%api/post/xineplug_post_goom.so
%_libdir/xine/plugins/%api/post/xineplug_post_mosaico.so
%_libdir/xine/plugins/%api/post/xineplug_post_planar.so
%_libdir/xine/plugins/%api/post/xineplug_post_switch.so
%_libdir/xine/plugins/%api/post/xineplug_post_tvtime.so
%_libdir/xine/plugins/%api/post/xineplug_post_visualizations.so
%_datadir/xine-lib

%files -n %bname-sdl
%defattr(-,root,root)
%doc README 
%_libdir/xine/plugins/%api/xineplug_vo_out_sdl.so

%files -n %bname-wavpack
%defattr(-,root,root)
%doc README 
%_libdir/xine/plugins/%api/xineplug_wavpack.so

%if %build_caca
%files -n %bname-caca
%defattr(-,root,root)
%doc README 
%_libdir/xine/plugins/%api/xineplug_vo_out_caca.so
%endif

%if %build_magick
%files -n %{bname}-image
%defattr(-,root,root)
%doc README 
%_libdir/xine/plugins/%api/xineplug_decode_image.so
%endif

%files -n %libname
%defattr(-,root,root)
%doc README AUTHORS TODO
%_libdir/libxine*.so.%{major}*

%files -n %libnamedev
%defattr(-,root,root)
%doc README ChangeLog installed-docs/hackersguide
%_bindir/xine-config
%_bindir/xine-list-1.2
%multiarch_bindir/xine-config
%_mandir/man1/xine-config.1*
%_mandir/man1/xine-list-1.2.1*
%if %mdvver < 201200
%_libdir/*.la
%endif
%_libdir/*.so
%_libdir/pkgconfig/libxine.pc
%_datadir/aclocal/xine.m4
%_includedir/*.h
%_includedir/xine


%if %build_arts
%files -n %{bname}-arts
%defattr(-,root,root)
%doc README 
%_libdir/xine/plugins/%api/xineplug_ao_out_arts.so
%endif

%files -n %{bname}-esd
%defattr(-,root,root)
%doc README 
%_libdir/xine/plugins/%api/xineplug_ao_out_esd.so

%files -n %{bname}-jack
%defattr(-,root,root)
%doc README 
%_libdir/xine/plugins/%api/xineplug_ao_out_jack.so

%if %build_pulse
%files -n %{bname}-pulse
%defattr(-,root,root)
%doc README 
%_libdir/xine/plugins/%api/xineplug_ao_out_pulseaudio.so
%endif

%files -n %{bname}-aa
%defattr(-,root,root)
%doc README 
%_libdir/xine/plugins/%api/xineplug_vo_out_aa.so

%files -n %{bname}-flac
%defattr(-,root,root)
%doc README 
%_libdir/xine/plugins/%api/xineplug_flac.so

%ifarch %{ix86} x86_64 ppc %{arm}
%files -n %{bname}-dxr3
%defattr(-,root,root)
%doc README 
%_libdir/xine/plugins/%api/xineplug_*dxr3*.so
%endif

%files -n %{bname}-gnomevfs
%defattr(-,root,root)
%doc README 
%_libdir/xine/plugins/%api/xineplug_inp_gnome_vfs.so

%if %build_smb
%files -n %{bname}-smb
%defattr(-,root,root)
%doc README 
%_libdir/xine/plugins/%api/xineplug_inp_smb.so
%endif

%if %build_divx4
%files -n %{bname}-divx4
%defattr(-,root,root)
%_libdir/xine/plugins/%api/xineplug_decode_divx4.so*
%endif

%if %build_faad
%files -n %{bname}-faad
%defattr(-,root,root)
%_libdir/xine/plugins/%api/xineplug_decode_faad.so*
%endif

%if %build_xvid
%files -n %{bname}-xvid
%defattr(-,root,root)
%_libdir/xine/plugins/%api/xineplug_decode_xvid.so*
%endif


%changelog
* Fri Jun 29 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.2.2-1
+ Revision: 807517
- version update 1.2.2

* Sat Jun 09 2012 Bernhard Rosenkraenzer <bero@bero.eu> 1.2.1-1
+ Revision: 803878
- Update to 1.2.1
- Fix build with current ffmpeg
- Start cleaning up the spec file mess

* Tue Jan 03 2012 Götz Waschk <waschk@mandriva.org> 1.1.20.1-1
+ Revision: 748793
- remove libtool archive
- update build deps
- new version

* Fri Dec 02 2011 Götz Waschk <waschk@mandriva.org> 1.1.20-2
+ Revision: 737152
- build with ffmpeg 0.8.x on Cooker
- use external libmpcdec
- spec cleanup

* Fri Dec 02 2011 Götz Waschk <waschk@mandriva.org> 1.1.20-1
+ Revision: 737149
- api version is now 1.30
- adapt build deps for pointless changes in recent gnome updates

  + Oden Eriksson <oeriksson@mandriva.com>
    - 1.1.20

* Sun Nov 06 2011 Götz Waschk <waschk@mandriva.org> 1.1.19-5
+ Revision: 723005
- build with ffmpeg 0.7
- rebuild for new libcdio

* Mon May 02 2011 Oden Eriksson <oeriksson@mandriva.com> 1.1.19-4
+ Revision: 661759
- multiarch fixes

* Fri Apr 01 2011 Funda Wang <fwang@mandriva.org> 1.1.19-3
+ Revision: 649605
- br gettext
- fix build with new kernel

  + Anssi Hannula <anssi@mandriva.org>
    - plf: append "plf" to Release on cooker to make plf build have higher EVR
      again with the rpm5-style mkrel now in use

* Mon Jan 03 2011 Götz Waschk <waschk@mandriva.org> 1.1.19-2mdv2011.0
+ Revision: 627861
- fix xvmc build

  + Oden Eriksson <oeriksson@mandriva.com>
    - don't force the usage of automake1.7

* Mon Jul 26 2010 Götz Waschk <waschk@mandriva.org> 1.1.19-1mdv2011.0
+ Revision: 560755
- new version
- drop patch 0

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 1.1.18.1-4mdv2011.0
+ Revision: 550750
- rebuild for new libmodplug

* Sun Apr 25 2010 Götz Waschk <waschk@mandriva.org> 1.1.18.1-3mdv2010.1
+ Revision: 538643
- patch for 64 bit codecs dir (Anssi)
- remove source 1
- change binary codecs dir to %%_libdir/codecs

* Sun Mar 07 2010 Funda Wang <fwang@mandriva.org> 1.1.18.1-1mdv2010.1
+ Revision: 515480
- new version 1.1.18.1

* Thu Feb 25 2010 Götz Waschk <waschk@mandriva.org> 1.1.18-1mdv2010.1
+ Revision: 511110
- new version
- new API version
- add missing dxr3 source file
- add v4l2 plugin

* Thu Jan 14 2010 Funda Wang <fwang@mandriva.org> 1.1.17-2mdv2010.1
+ Revision: 491133
- rebuild for new imagemagick

* Wed Dec 02 2009 Götz Waschk <waschk@mandriva.org> 1.1.17-1mdv2010.1
+ Revision: 472643
- new version
- drop patch 0
- new api version

* Sun Nov 08 2009 Götz Waschk <waschk@mandriva.org> 1.1.16.3-3mdv2010.1
+ Revision: 463251
- rebuild for new libcdio

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 1.1.16.3-2mdv2010.0
+ Revision: 374848
- fix MOD mime types output
- remove old configure option

* Fri Apr 03 2009 Götz Waschk <waschk@mandriva.org> 1.1.16.3-1mdv2009.1
+ Revision: 363887
- new version
- new api 1.26
- fix build deps

* Wed Feb 11 2009 Funda Wang <fwang@mandriva.org> 1.1.16.2-1mdv2009.1
+ Revision: 339301
- New version 1.1.16.2

* Wed Jan 28 2009 Götz Waschk <waschk@mandriva.org> 1.1.16.1-2mdv2009.1
+ Revision: 335006
- rebuild for new libmagick

* Mon Jan 12 2009 Götz Waschk <waschk@mandriva.org> 1.1.16.1-1mdv2009.1
+ Revision: 328487
- new version
- drop patch 0
- patch to fix ffmpeg build on 2009.0
- revert previous change, it was not the cause
- disable external ffmpeg on 2009.0

* Wed Jan 07 2009 Götz Waschk <waschk@mandriva.org> 1.1.16-1mdv2009.1
+ Revision: 326746
- new version
- new api
- drop patches 0,1

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Oct 27 2008 Götz Waschk <waschk@mandriva.org> 1.1.15-5mdv2009.1
+ Revision: 297785
- rebuild

* Tue Oct 14 2008 Götz Waschk <waschk@mandriva.org> 1.1.15-4mdv2009.1
+ Revision: 293580
- fix build with new caca

* Mon Oct 13 2008 Götz Waschk <waschk@mandriva.org> 1.1.15-3mdv2009.1
+ Revision: 293115
- add Gentoo build patch for external ffmpeg support
- reenable external ffmpeg
- disable libcaca
- spec cleanup
- fix build deps
- disable external ffmpeg
- fix build deps

* Wed Aug 20 2008 Helio Chissini de Castro <helio@mandriva.com> 1.1.15-2mdv2009.0
+ Revision: 274430
- Fix current version header bug in inline statement
- Added ffmpeg-devel-static as postproc requires

* Fri Aug 15 2008 Götz Waschk <waschk@mandriva.org> 1.1.15-1mdv2009.0
+ Revision: 272197
- new version
- bump api version

  + Buchan Milne <bgmilne@mandriva.org>
    - Adjust license (GPLv2 or later according to src/xine-engine/xine.c)

* Sun Jun 29 2008 Götz Waschk <waschk@mandriva.org> 1.1.14-1mdv2009.0
+ Revision: 230069
- new version
- new api version

* Sun Jun 15 2008 Götz Waschk <waschk@mandriva.org> 1.1.13-1mdv2009.0
+ Revision: 219266
- new version
- new api ver
- remove unused subpackage

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Apr 24 2008 Götz Waschk <waschk@mandriva.org> 1.1.12-2mdv2009.0
+ Revision: 197155
- rebuild

* Tue Apr 15 2008 Götz Waschk <waschk@mandriva.org> 1.1.12-1mdv2009.0
+ Revision: 193616
- new version
- drop patches
- bump api version
- update file list

* Sat Apr 12 2008 Götz Waschk <waschk@mandriva.org> 1.1.11.1-3mdv2009.0
+ Revision: 192627
+ rebuild (emptylog)

* Thu Apr 03 2008 Götz Waschk <waschk@mandriva.org> 1.1.11.1-2mdv2008.1
+ Revision: 192289
- fix for bug 39768 (regression in Quicktime demuxer)

* Mon Mar 31 2008 Frederic Crozat <fcrozat@mandriva.com> 1.1.11.1-1mdv2008.1
+ Revision: 191189
- Patch0 (Lennart): reworked pulseaudio plugin, less racy, less crashy

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Wed Mar 19 2008 Götz Waschk <waschk@mandriva.org> 1.1.11-2mdv2008.1
+ Revision: 188932
- provide xine-plugin-api for third party plugins

* Wed Mar 19 2008 Götz Waschk <waschk@mandriva.org> 1.1.11-1mdv2008.1
+ Revision: 188914
- new version (security update)
- new plugin api version

* Mon Mar 10 2008 Anssi Hannula <anssi@mandriva.org> 1.1.10.1-6mdv2008.1
+ Revision: 183579
- prefer /usr/lib/win32 for win32 codecs

* Thu Feb 21 2008 Götz Waschk <waschk@mandriva.org> 1.1.10.1-5mdv2008.1
+ Revision: 173481
- drop broken patch 3

* Sat Feb 16 2008 Götz Waschk <waschk@mandriva.org> 1.1.10.1-4mdv2008.1
+ Revision: 169251
- P3: security fix for CVE-2008-0486

  + Thierry Vignaud <tv@mandriva.org>
    - fix spacing at top of description

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 1.1.10.1-3mdv2008.1
+ Revision: 165135
- rebuild for new libmagick

* Fri Feb 08 2008 Götz Waschk <waschk@mandriva.org> 1.1.10.1-1mdv2008.1
+ Revision: 164005
- new version
- fix file list

* Mon Jan 28 2008 Anssi Hannula <anssi@mandriva.org> 1.1.10-2mdv2008.1
+ Revision: 159224
- build with external ffmpeg

* Sun Jan 27 2008 Götz Waschk <waschk@mandriva.org> 1.1.10-1mdv2008.1
+ Revision: 158511
- new version

  + Anssi Hannula <anssi@mandriva.org>
    - add build switch for building with external ffmpeg

* Sun Jan 20 2008 Götz Waschk <waschk@mandriva.org> 1.1.9.1-2mdv2008.1
+ Revision: 155365
- add support for wavpack (bug #36988)

* Fri Jan 11 2008 Götz Waschk <waschk@mandriva.org> 1.1.9.1-1mdv2008.1
+ Revision: 148587
- new version

* Thu Jan 10 2008 Frederic Crozat <fcrozat@mandriva.com> 1.1.9-2mdv2008.1
+ Revision: 147539
- Rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix mesaglu-devel BR

* Sun Jan 06 2008 Götz Waschk <waschk@mandriva.org> 1.1.9-1mdv2008.1
+ Revision: 146077
- new version

* Fri Jan 04 2008 Götz Waschk <waschk@mandriva.org> 1.1.8-6mdv2008.1
+ Revision: 144887
- rebuild for new imagemagick

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Tue Dec 25 2007 Anssi Hannula <anssi@mandriva.org> 1.1.8-5mdv2008.1
+ Revision: 137796
- add /usr/lib64/real as real codecs path (patch from upstream)

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 20 2007 Olivier Blin <blino@mandriva.org> 1.1.8-4mdv2008.0
+ Revision: 91482
- move hackers guide in devel package

* Sun Sep 16 2007 Anssi Hannula <anssi@mandriva.org> 1.1.8-3mdv2008.0
+ Revision: 87627
- instead of hardcoding real codecs path, add real codecs paths of packages
  RealPlayer and real-codecs into the internal xine list so that both of
  them can be used (related to #26987)

* Mon Aug 27 2007 Götz Waschk <waschk@mandriva.org> 1.1.8-2mdv2008.0
+ Revision: 72201
- fix buildrequires

* Mon Aug 27 2007 Götz Waschk <waschk@mandriva.org> 1.1.8-1mdv2008.0
+ Revision: 72151
- new version
- new devel name
- add build conflict to fix linker problem

  + Thierry Vignaud <tv@mandriva.org>
    - replace %%{_datadir}/man by %%{_mandir}!

* Thu Jun 07 2007 Götz Waschk <waschk@mandriva.org> 1.1.7-1mdv2008.0
+ Revision: 36499
- new version
- bye bye arts plugin, we won't miss you
- drop patch

* Wed May 09 2007 Frederic Crozat <fcrozat@mandriva.com> 1.1.6-3mdv2008.0
+ Revision: 25662
- Patch0 (HG): fix x-io-select (Mdv bug #29513)

* Fri Apr 20 2007 Götz Waschk <waschk@mandriva.org> 1.1.6-2mdv2008.0
+ Revision: 15626
- build with xcb support

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 1.1.6-1mdv2008.0
+ Revision: 14366
- new version

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 1.1.5-1mdv2008.0
+ Revision: 14036
- new version
- drop patches
- update file list

